FlxpointAPI Help CenterBeta

Delete Product Variant

deletehttps://api.flxpoint.com/product/variant/{variantId}

Use this when you want to delete product data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Endpoint to delete product variants.

Request

Query parameters
  • deleteParentIfLastVariantqueryboolean

    Determines when this is the last variant deleted and deletes the parent product. Default `True`

Example request

delete/product/variant/{variantId}
curl -X DELETE "https://api.flxpoint.com/product/variant/{variantId}" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
numberOfProductVariantsDeletedinteger
default 0
numberOfProductParentsDeletedinteger
default 0
Example response
{
  "numberOfProductVariantsDeleted": 0,
  "numberOfProductParentsDeleted": 0
}
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

409Conflict

No schema documented for this status.

OpenAPI fragment
{
  "delete": {
    "summary": "Delete Product Variant",
    "description": "Endpoint to delete product variants.",
    "parameters": [
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "deleteParentIfLastVariant",
        "description": "Determines when this is the last variant deleted and deletes the parent product. Default `True`"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/DeleteProductResponse"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      },
      "409": {
        "description": "Conflict"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight